# SIPHandlerBase Class Reference

Separate base class to allow searching sorted list. More...

`#include <handlers.h>`

Inheritance diagram for SIPHandlerBase:

[legend]

## Public Member Functions

const PString & | GetCallID () const

## Protected Types

typedef std::map< PString, PSafePtr< SIPHandler > > | IndexMap

## Protected Member Functions

| SIPHandlerBase (const PString &callID)

## Protected Attributes

const PString | m_callID
std::pair< IndexMap::iterator, bool > | m_byAorAndPackage
std::pair< IndexMap::iterator, bool > | m_byAuthIdAndRealm
std::pair< IndexMap::iterator, bool > | m_byAorUserAndRealm

## Friends

class | SIPHandlersList

## Detailed Description

Separate base class to allow searching sorted list.

## Member Typedef Documentation

typedef std::map<PString, PSafePtr<SIPHandler> > SIPHandlerBase::IndexMap `[protected]`

## Constructor & Destructor Documentation

SIPHandlerBase::SIPHandlerBase | ( | const PString & | callID | ) | `[inline, protected]`

## Member Function Documentation

const PString& SIPHandlerBase::GetCallID | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend class SIPHandlersList `[friend]`

## Field Documentation

std::pair<IndexMap::iterator, bool> SIPHandlerBase::m_byAorAndPackage `[protected]`

std::pair<IndexMap::iterator, bool> SIPHandlerBase::m_byAorUserAndRealm `[protected]`

std::pair<IndexMap::iterator, bool> SIPHandlerBase::m_byAuthIdAndRealm `[protected]`

const PString SIPHandlerBase::m_callID `[protected]`

The documentation for this class was generated from the following file:

- handlers.h